Get Points to be Expired
curl --request GET \
--url https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/points-expiry \
--header 'Authorization: Bearer <token>'import requests
url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/points-expiry"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/points-expiry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Success",
"data": [
{
"expiryDuration": 30,
"unRestrictedTotalPoints": 100,
"restrictedTotalPoints": 12,
"totalPoints": 112,
"pointValue": 112,
"restrictedPoints": [
{
"points": 12,
"restrictedLocation": "demo_store"
}
],
"expiryDate": "2020-03-20T01:30:08.180856"
}
],
"status": 200,
"errors": {}
}{
"message": "Error message string",
"errors": {
"ExceptionString": [
"Invalid Field"
]
},
"data": null,
"status": 400
}{
"detail": "Authentication Failed"
}Inquire
Get Points to be Expired
Gets all points that will expire within a year starting at 30 days, 60 days, and up to one year.
GET
/
v1
/
inquire
/
points-expiry
Get Points to be Expired
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Profile ID. It is generated in the response of the Enroll Member endpoint - POST /v1/members.
Was this page helpful?
⌘I
